POST api/departmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "c81f36d8-494d-4bdd-b91b-e42779168202",
"selected_nameplate_id": "55164bbe-eed5-4e28-8dea-124531b14638",
"active": true,
"department_id": "b2f1cb9e-9a8f-421d-8e27-0cc61166c744",
"id": "c6449138-5940-4be7-9d25-ab7750df4adf",
"physical_item_id": "e4f5f46c-9f34-44b6-872b-13a30a8cdf3c",
"service_item_id": "dfd0a11f-f092-455d-9c17-581b34424c70",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<department_id>b2f1cb9e-9a8f-421d-8e27-0cc61166c744</department_id>
<id>c6449138-5940-4be7-9d25-ab7750df4adf</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>e4f5f46c-9f34-44b6-872b-13a30a8cdf3c</physical_item_id>
<quantity>1</quantity>
<service_item_id>dfd0a11f-f092-455d-9c17-581b34424c70</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>55164bbe-eed5-4e28-8dea-124531b14638</selected_nameplate_id>
<selected_sticker_id>c81f36d8-494d-4bdd-b91b-e42779168202</selected_sticker_id>
</department_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"cf022cb0-9455-4f21-8577-8d2c9f676e5a"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">cf022cb0-9455-4f21-8577-8d2c9f676e5a</guid>